Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007864TestLinkGUIpublic2017-03-03 17:322017-11-25 08:45
Reporterfilipse 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007864: Execute test status icons do not work with FIREFOX
DescriptionHi,
when using firefox when clicking any of the "smiley" buttons nothing happens.
If I click the next test button then the status has is saved and displayed.

With Chrome each time I click a "smiley" button it immediately saves and displays the execution.

Steps To ReproduceJust execute any test.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome and Firefox
PHP Versionbitnami container - PHP 5.6.30
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesjpg file icon executionSetStatusScreen.jpg [^] (10,014 bytes) 2017-03-03 17:32

- Relationships
related to 0008145new Sme as 0008051 
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026067)
fman (administrator)
2017-03-06 13:36

Desing choice
(0026068)
filipse (reporter)
2017-03-06 15:58

Fair enough but as I have stated before in Firefox when clicking at the icons noting happens although the results are recorded. Firefox version used is 45.2.0

At Chrome and IE page is reloaded showing the new test execution status which is much better and I guess the expected behavior.

Moreover is there an extra configuration itens to add values for test execution results?

I have used the example provided at custom_config.inc.php.example but seems to not have any effect.

thanks,
(0026070)
fman (administrator)
2017-03-06 16:45

If instead of talking about weird screen, the subject was different things surelly will be managed in another way.
I'm going to clean up this
(0026072)
fman (administrator)
2017-03-06 18:52

Please try with this, retest and provide feedback
(0026073)
fman (administrator)
2017-03-06 19:30

>> I have used the example provided at custom_config.inc.php.example but seems to not have >> any effect.

config structure has changed => give a look to const.inc.php

- Issue History
Date Modified Username Field Change
2017-03-03 17:32 filipse New Issue
2017-03-03 17:32 filipse File Added: executionSetStatusScreen.jpg
2017-03-04 11:43 fman QA Team - Task Workflow Status => TBD
2017-03-04 11:43 fman Status new => closed
2017-03-04 11:43 fman Assigned To => fman
2017-03-04 11:43 fman Resolution open => won't fix
2017-03-06 10:11 filipse Note Added: 0026065
2017-03-06 10:11 filipse Status closed => assigned
2017-03-06 10:11 filipse Resolution won't fix => reopened
2017-03-06 13:35 fman Note Added: 0026066
2017-03-06 13:36 fman Note Added: 0026067
2017-03-06 13:36 fman Status assigned => closed
2017-03-06 13:36 fman Resolution reopened => won't fix
2017-03-06 15:58 filipse Note Added: 0026068
2017-03-06 15:58 filipse Status closed => assigned
2017-03-06 15:58 filipse Resolution won't fix => reopened
2017-03-06 16:45 fman Note Added: 0026070
2017-03-06 18:49 fman Description Updated View Revisions
2017-03-06 18:49 fman Steps to Reproduce Updated View Revisions
2017-03-06 18:49 fman Note Deleted: 0026065
2017-03-06 18:49 fman Note Deleted: 0026066
2017-03-06 18:50 fman Summary Execute test status selection looks weird => Execute test status icons do not work with FIREFOX
2017-03-06 18:52 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-03-06 18:52 fman Note Added: 0026072
2017-03-06 18:52 fman Status assigned => feedback
2017-03-06 19:07 fman Relationship added child of 0007817
2017-03-06 19:30 fman Note Added: 0026073
2017-03-08 19:57 fman Status feedback => resolved
2017-03-08 19:57 fman Resolution reopened => fixed
2017-11-25 08:45 fman Relationship added related to 0008145



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker